Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.constraint
Class UnweightedConstraintOccurrence

    java.lang.Object
      org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
          org.optaplanner.core.impl.score.constraint.UnweightedConstraintOccurrence

All Implemented Interfaces:
  Serializable, Comparable<ConstraintOccurrence>

Deprecated.

    @Deprecated
    public class UnweightedConstraintOccurrence

extends ConstraintOccurrence

Will be removed in version 6.1.0.Beta1.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
`causes, constraintType, ruleId`

Constructor Summary
`UnweightedConstraintOccurrence(String ruleId, ConstraintType constraintType, Object... causes)` Deprecated.
`UnweightedConstraintOccurrence(String ruleId, Object... causes)` Deprecated.

Method Summary

Methods inherited from class org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
`compareTo, equals, getCauses, getConstraintType, getRuleId, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnweightedConstraintOccurrence

    public UnweightedConstraintOccurrence(String ruleId,
                                          Object... causes)

  Deprecated.

### UnweightedConstraintOccurrence

    public UnweightedConstraintOccurrence(String ruleId,
                                          ConstraintType constraintType,
                                          Object... causes)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.